namespace FlexChart_ScrollBar
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            var rnd = new Random();
            flexChart1.DataSource = Enumerable.Range(1, 100).Select(i=>new Point(i, rnd.Next(10)));
            flexChart1.Binding = "Y";
            flexChart1.BindingX = "X";
            flexChart1.AxisY.Min = -0.5;

            c1RangeSlider1.Minimum = 0.5;
            c1RangeSlider1.Maximum = 100.5;
            c1RangeSlider1.ValueChanged += (s, e) =>
            {
                flexChart1.AxisX.Min = c1RangeSlider1.LowerValue;
                flexChart1.AxisX.Max = c1RangeSlider1.UpperValue;
            };
            c1RangeSlider1.LowerValue = 0.5;
            c1RangeSlider1.UpperValue = 20.5;
        }
    }
}
